ยซ Up

tactician-dummy 1.0~beta1 30 s ๐Ÿ†

๐Ÿ“… (2022-05-14 08:21:45 UTC)

Context

# Packages matching: installed
# Name                # Installed # Synopsis
base-bigarray         base
base-threads          base
base-unix             base
conf-findutils        1           Virtual package relying on findutils
conf-gmp              4           Virtual package relying on a GMP lib system installation
coq                   dev         Formal proof management system
dune                  3.1.1       Fast, portable, and opinionated build system
ocaml                 4.12.1      The OCaml compiler (virtual package)
ocaml-base-compiler   4.12.1      Official release 4.12.1
ocaml-config          2           OCaml Switch Configuration
ocaml-options-vanilla 1           Ensure that OCaml is compiled with no special options enabled
ocamlfind             1.9.3       A library manager for OCaml
zarith                1.12        Implements arithmetic and logical operations over arbitrary-precision integers
# opam file:
opam-version: "2.0"
name: "coq-tactician-dummy"
synopsis: "A dummy implementation of Tactician"
description: """
  This package acts as a stand-in for the Tactician plugin (`coq-tactician`).
  It provides short files that replicate Tactician's tactics without actually
  doing much. This is useful when you have a development that uses Tactician
  that you want to package up. In most situations, it is not a good idea to
  have your package directly depend on `coq-tactician`. Instead you should load
  Tactician through your `coqrc` file. In order for your package to be compilable
  by others, your package can depend on this package. Just add
  `From Tactician import Ltac1Dummy` in your development and you are good to go.
"""
homepage: "https://coq-tactician.github.io"
dev-repo: "git+https://github.com/coq-tactician/coq-tactician-dummy"
bug-reports: "https://github.com/coq-tactician/coq-tactician-dummy/issues"
maintainer: "Lasse Blaauwbroek <lasse@blaauwbroek.eu>"
authors: "Lasse Blaauwbroek <lasse@blaauwbroek.eu"
depends: [
  "coq" {>= "8.6.1"}
  "dune" {>= "2.5"}
]
build: [
  ["dune" "build" "--release" "-j" jobs]
]
url {
  src: "https://github.com/coq-tactician/coq-tactician-dummy/archive/1.0-beta1.tar.gz"
}
tags: [
  "keyword:tactic-learning"
  "keyword:machine-learning"
  "keyword:automation"
  "keyword:proof-synthesis"
  "category:Miscellaneous/Coq Extensions"
  "logpath:Tactician"
]

Lint

Command
true
Return code
0

Dry install ๐Ÿœ๏ธ

Dry install with the current Coq version:

Command
opam install -y --show-action coq-tactician-dummy.1.0~beta1 coq.dev
Return code
0

Dry install without Coq/switch base, to test if the problem was incompatibility with the current Coq/OCaml version:

Command
true
Return code
0

Install dependencies

Command
opam list; echo; ulimit -Sv 4000000; timeout 4h opam install -y --deps-only coq-tactician-dummy.1.0~beta1 coq.dev
Return code
0
Duration
25 s

Install ๐Ÿš€

Command
opam list; echo; ulimit -Sv 16000000; timeout 4h opam install -y -v coq-tactician-dummy.1.0~beta1 coq.dev
Return code
0
Duration
30 s

Installation size

Total: 28 K

  • 25 K ../ocaml-base-compiler.4.12.1/lib/coq/user-contrib/Tactician/Ltac1Dummy.vo
  • 1 K ../ocaml-base-compiler.4.12.1/lib/coq-tactician-dummy/opam
  • 1 K ../ocaml-base-compiler.4.12.1/lib/coq/user-contrib/Tactician/Ltac1Dummy.v
  • 1 K ../ocaml-base-compiler.4.12.1/doc/coq-tactician-dummy/LICENSE.md
  • 1 K ../ocaml-base-compiler.4.12.1/lib/coq-tactician-dummy/dune-package
  • 0 K ../ocaml-base-compiler.4.12.1/lib/coq-tactician-dummy/META

Uninstall ๐Ÿงน

Command
opam remove -y coq-tactician-dummy.1.0~beta1
Return code
0
Missing removes
none
Wrong removes
none